<!DOCTYPE html>
<html lang="en">
  <head>
    <meta name="generator" content="GitLab Pages">
    <title>TP4 Veille Techno</title>
    <link rel="stylesheet" href="style.css">
    <script src="https://cdn.tailwindcss.com"></script>
  </head>

  <body class="bg-gradient-to-br from-gray-900 to-gray-600 bg-gradient-to-r">

    <header class="p-20 text-white flex justify-between items-baseline">
      <h1 class="text-5xl font-bold">TP4 Veille Techno</h1>
      <div>
        <a class="cool-link" href="index.html">
          Accueil
        </a>
        <a class="cool-link" href="materiel.html">Matériel</a>
        <a class="cool-link" href="experimentation.html">Expérimentations</a>
        <a class="cool-link" href="montage.html">Montage</a>
        <a class="cool-link" href="logiciel.html">Logiciel</a>
      </div>
    </header>

    <main class="px-20 flex flex-col justify-center items-center">
      <h2 class="text-center text-3xl font-bold text-white">
        Montage
      </h2>

      <section id="analyse" class="bg-slate-200 w-3/4 rounded-xl p-10 my-20 text-justify">

        <h2 class="text-center text-lg font-bold text-gray-900">
          Pièces nécessaires
        </h2>
        <br>
        <div>
          <p class="font-bold">1. Breadboard (Plaque d'essai) :<p>
          <p class="ml-5">Placez soigneusement votre breadboard sur une surface stable pour l'assemblage des composants. La plaque d'essai servira de fondation à la création de votre montre cardiaque électronique, assurant une organisation ordonnée des connexions.</p>
        </div>
        <br>
        <div>
          <p class="font-bold">2. Arduino Uno R3 :<p>
          <p class="ml-5">Connectez votre Arduino à la breadboard à l'aide de fils de connexion. L'Arduino joue un rôle central en tant que cerveau de votre montage, coordonnant les interactions entre les différents composants pour une performance optimale.</p>
        </div>
        <br>
        <div>
          <p class="font-bold">3. DS1307 Precision RTC Breakout :<p>
          <p class="ml-5">Branchez les broches SDA et SCL du module RTC aux broches analogiques de l'Arduino. Le module RTC garantit une mesure précise du temps, une fonctionnalité cruciale pour l'enregistrement chronologique des données cardiaques.</p>
        </div>
        <br>
        <div>
          <p class="font-bold">4. Module Micro SD Card :<p>
          <p class="ml-5">Connectez les broches MOSI, MISO, SCK, et CS du module SD aux broches numériques de l'Arduino. Cette carte SD offre l'espace nécessaire au stockage fiable des données cardiaques recueillies au fil du temps.</p>
        </div>
        <br>
        <div>
          <p class="font-bold">5. Résistance de 330 Ohms :<p>
          <p class="ml-5">Insérez la résistance entre la broche 5V de l'Arduino et la broche du capteur cardiaque pour une protection adéquate. Cela garantit la durabilité du capteur et prévient les éventuels dommages.</p>
        </div>
        <br>
        <div>
          <p class="font-bold">6. Câble USB Type A vers Type B :<p>
          <p class="ml-5">Utilisez ce câble pour connecter l'Arduino à votre ordinateur, facilitant la programmation et l'alimentation du système.</p>
        </div>
        <br>
        <div>
          <p class="font-bold">7. Capteur de Rythme Cardiaque (HeartRate Pulse Sensor) :<p>
          <p class="ml-5">Placez le capteur sur la plaque d'essai. Connectez la broche VCC au 5V, GND à la masse, et la broche analogique à A0 de l'Arduino. Ce capteur capte les pulsations cardiaques, élément clé de votre montre intelligente.</p>
        </div>
        <br>
        <div>
          <p class="font-bold">8. Mini Bouton-Poussoir (Mini Push Button Switch) :<p>
          <p class="ml-5">Connectez le bouton à la breadboard. Reliez une extrémité à une broche numérique et l'autre à la masse avec une résistance de 10k Ohms entre elles. Ce bouton ajoute une fonction d'activation/désactivation pratique à votre dispositif.</p>
        </div>
        <br>
        <div>
          <p class="font-bold">9. Résistance de 10k Ohms :<p>
          <p class="ml-5">Utilisez cette résistance en conjonction avec le bouton-poussoir, assurant une régulation efficace du flux de courant.</p>
        </div>
        <br>
        <div>
          <p class="font-bold">10. Jeu de Fils de Connexion - M/M (Male/Male) et M/F (Male/Female) :</p>
          <p class="ml-5">Employez ces fils pour connecter tous les composants selon le schéma fourni. Ces fils constituent les liens physiques qui permettent une communication fluide entre les différentes parties de votre montage.</p>
        </div>
        <br>
        <img class="mx-auto my-2" src="img/Montage_Piece.png" alt="Montre">
       
        <br>
        <h2 class="text-center text-lg font-bold text-gray-900">
          Instructions pour le Montage
        </h2>
        <br>
        <div>
          <p class="font-bold">1. Connecter le Capteur de Rythme Cardiaque :<p>
          <p class="ml-5">Installez le capteur sur la plaque d'essai et connectez-le à l'Arduino. Veillez à ce que les connexions soient sécurisées pour une capture précise des données cardiaques.</p>
        </div>
        <br>
        <div>
          <p class="font-bold">2. Ajouter le Bouton Magique :<p>
          <p class="ml-5">Connectez le mini bouton-poussoir pour activer ou désactiver la mesure du rythme cardiaque. Consultez le schéma fourni pour une configuration optimale.</p>
        </div>
        <br>
        <div>
          <p class="font-bold">3. Installer la Carte Micro SD :<p>
          <p class="ml-5">Connectez le module de carte SD à l'Arduino pour le stockage fiable des données. Suivez attentivement le schéma pour une configuration correcte.</p>
        </div>
        <br>
        <div>
          <p class="font-bold">4. Utiliser le Module RTC :<p>
          <p class="ml-5">Connectez le module RTC pour que votre montre soit toujours à l'heure exacte. Cette précision temporelle est essentielle pour l'analyse chronologique des données cardiaques.</p>
        </div>
        <br>
        <div>
          <p class="font-bold">5. Mettre en Place la Résistance :<p>
          <p class="ml-5">Utilisez la résistance de 330 ohms pour protéger le capteur de rythme cardiaque. Cette mesure préventive garantit la longévité du capteur.</p>
        </div>
        <br>
        <div>
          <p class="font-bold">6. Branchez le Tout :<p>
          <p class="ml-5">Utilisez les fils de connexion pour relier tous les composants sur la plaque d'essai. Suivez attentivement le schéma pour éviter toute confusion dans les connexions.</p>
        </div>
        <br>
        <div>
          <p class="font-bold">7. Programmer l'Arduino :<p>
          <p class="ml-5">Si ce n'est pas déjà fait, téléchargez l'application Arduino IDE sur votre ordinateur, puis téléchargez le programme sur l'Arduino. Le code disponible dans le fichier <a href="https://gitlab.com/Caelestis94/logiciel-data-projet-cardiometer" class="font-bold">ArduinoFinal.ino</a> configure l'Arduino pour mesurer et enregistrer votre rythme cardiaque.</p>
        </div>
        <br>
        <div>
          <p class="font-bold">8. Alimenter et Profiter :<p>
          <p class="ml-5">Alimentez l'Arduino avec le câble USB. Appuyez sur le bouton pour démarrer la mesure de votre rythme cardiaque. Votre montre est à présent opérationnelle, prête à vous fournir des données précieuses sur votre santé cardiaque.</p>
        </div>

        <br>
        <p>Félicitations pour avoir achevé l'assemblage de votre propre montre cardiaque électronique. Si des questions subsistent, n'hésitez pas à solliciter de l'aide ou à effectuer vos propres recherches. Profitez pleinement de votre nouvelle invention !</p>
      </section>

    </main>

    <footer class="mx-20 p-10 text-white font-bold border-t-2 flex justify-between">
      <div class="w-1/2">
        Réalisé par Frédéric Rousseau, Nathan Ouellet, Nicolas Bazin, Thomas Bolduc et Xavier Gosselin
      </div>
      <div>
        Dans le cadre de Techniques de l’informatique - Cégep Garneau
      </div> 
    </footer>

  </body>
</html>
